CREATE FUNCTION dbo.CFUJ_Moratoria_Cant_Cuotas_A_Abonar(@pJson VARCHAR(8000))
RETURNS SMALLINT
AS
BEGIN
DECLARE @Cant_Cuotas_A_Abonar	SMALLINT
DECLARE @Json_Envio				VARCHAR(8000)

/*Variables recibidas por parámetro a traves del JSON*/
DECLARE @pId_Cliente	INT

SET @pId_Cliente		= ISNULL(CONVERT(INT, dbo.CF_JSON_VALUE(@pJson,'Id_Cliente')), 0)
/*FIN Variables recibidas por parámetro a traves del JSON*/

--Función generada el 03/06/2020 para utilizarse desde VENTAS.APP Proc: MoratoriaClub:Calcular:Ficha
--ATENCIÓN HAY QUE IMPLENTARLA PARA CADA CLIENTE

--Por defecto utiliza la función "SF_Moratoria_Cant_Meses" que utilizaba antes del 03/06/2020 para mantener retrocompatibilidad.
--Para implementaciones posteriores a 03/06/2020 borrar esta linea e implementar la función acá directamente
SET @Cant_Cuotas_A_Abonar = (dbo.SF_Moratoria_Cant_Meses(@pId_Cliente))


--Ej. La cantidad de Cuotas a Abonar es la misma que la cantidad de meses adeudados
--SET @Json_Envio =	'{' + 
--					dbo.CF_Json_ParsearVariable('Id_Cliente', @pId_Cliente, 'INT') +
--					'}'
					
--SET @Cant_Cuotas_A_Abonar = dbo.CFUJ_Moratoria_Cant_Cuotas_Adeudadas(@Json_Envio)


RETURN ISNULL(@Cant_Cuotas_A_Abonar, 0)
END